Description

Since we can create a full width layout custom field which look like a description field in upcoming 3.4.0 (#21705), I think that we will

sometimes want to replace a description field with a full width layout custom field for better and specific naming of the field.

I am sure that it would be great if Redmine 3.4.0 has an ability to disable description field on TrackersController#edit page, along with

#21705.

Related issues:

Related to Redmine - Feature #15918: Managing "description" field Closed 2009-12-11

Related to Redmine - Patch #21705: Option for long text custom fields to be d... Closed

Associated revisions

Revision 16351 - 2017-03-02 20:47 - Jean-Philippe Lang

Allow to disable description field in tracker setting (#25052).

Patch by Go MAEDA and Mischa The Evil.

History

#1 - 2017-02-12 04:20 - Go MAEDA

- Related to Feature #15918: Managing "description" field added

#2 - 2017-02-12 04:21 - Go MAEDA

- Related to Patch #21705: Option for long text custom fields to be displayed using full width added

#3 - 2017-02-12 15:55 - Marius BĂLTEANU

Thanks Go MAEDA for this patch. It was on my plan to create it because we need it on the following use case:

- we want to define a "Test Case" tracker with 3 fields instead of the description field: Preconditions, Steps, Expected Results.

Currently, we can define the new fields, but we aren't able to disable the description.

#4 - 2017-02-14 10:20 - Go MAEDA

- Target version set to 3.4.0

I think this feature will make #21705 much greater.

Setting target version to 3.4.0.

#5 - 2017-02-15 07:58 - Mischa The Evil

- File disable-description-field_fixed-test.diff added

Go MAEDA wrote:

[...] that it would be great if Redmine 3.4.0 has an ability to disable description field on TrackersController#edit page, along with #21705.

 Although I'm not very glad with the integration of #21705, I do think that the ability to disable the description field for trackers would be a good addition

to it.

I did some quick tests with your patch applied, and it seems to work without any side-effects. But this is something to look-out for by enabling the field

to be disabled, as this is a long-time expectation (plugins?).
There is a test that fails with the changes applied though: IssueTest#test_safe_attributes_names_should_not_include_disabled_field (

source:/trunk/test/unit/issue_test.rb@16333#L806). This is however expected as we've turned the description field to be 'disablable'. I'll leave an

updated, fixed (SVN) patch against source:/trunk@16333 which adds the removal of the test assertion.

#6 - 2017-02-15 14:06 - Go MAEDA

Mischa The Evil wrote:

There is a test that fails with the changes applied though: IssueTest#test_safe_attributes_names_should_not_include_disabled_field (

source:/trunk/test/unit/issue_test.rb@16333#L806). This is however expected as we've turned the description field to be 'disablable'. I'll leave an

updated, fixed (SVN) patch against source:/trunk@16333 which adds the removal of the test assertion.

 Thanks, I had missed it.

#7 - 2017-03-02 20:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks to both of you.

Files

disable-description-field.diff 956 Bytes 2017-02-12 Go MAEDA

disable-description-field_fixed-test.diff 1.57 KB 2017-02-15 Mischa The Evil
